
Redmine - Feature #29187

Add image to a wiki page who's attached to another wiki page

2018-07-04 11:50 - Brice Beaumesnil

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The idea :

Use this code !attachment#8796! can display the image who have the id #8796 from all attachment's objects (this image can be

attached from another wiki page).

It's can be useful to not upload the same image.

Related issues:

Related to Redmine - Feature #3272: Ability to import wiki image from other w... New 2009-04-30

History

#1 - 2018-07-17 08:12 - Mizuki ISHIKAWA

+1

#2 - 2018-07-17 10:59 - Go MAEDA

- Related to Feature #3272: Ability to import wiki image from other wiki page added

#3 - 2018-07-17 11:24 - Go MAEDA

- Category changed from Wiki to Text formatting

#4 - 2021-11-01 01:37 - Eugene B

+1 for this.

I need syntax like this:

"![[MyWikiPage]]:myimage.png!" 

"#IssueID:myimage.png!" 

"project:[[MyWikiPage]]:myimage.png!" 

"project:#IssueID:myimage.png!"

 For us, some page has regularly updated image data (graphs) which we need to link to other pages. As the image ID changes every time new image

is updated - links are broken for new uploaded image.

There is a workaround - you can store this files at some ftp and http service and link to them, BUT built in solution is needed.

I would also suggest Redmine team to implement a solution, that allows users to PAY for features they need in stock system.

I understand, that Redmine is a free product, but user payments will show what is REALLY required. Team will be motivated to implement such

feature faster. Even hire extra devs to implement, using given resources, if needed.
